import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { AboutSection } from '../inspire-library.enum';
import { Community } from '../inspire-library.interface';
import * as i0 from "@angular/core";
export declare class AboutMoreComponent implements OnInit, OnChanges {
    isMobile: boolean;
    community: Community;
    showAboutMore: boolean;
    communityLeaders: string[];
    envUrl: string;
    back: EventEmitter<void>;
    aboutSection: typeof AboutSection;
    showAboutSection: {
        support: boolean;
        about_community: boolean;
        community_leaders: boolean;
        contact: boolean;
    };
    supportCommunityContent: string;
    showContactInfo: boolean;
    constructor();
    ngOnInit(): void;
    init(): void;
    ngOnChanges(): void;
    setDefaultSection(): void;
    shouldShowContactInfo(): void;
    toggleAboutSection(section: AboutSection): void;
    onBackClick(): void;
    setSupportCommunityContent(): void;
    static ɵfac: i0.ɵɵFactoryDef<AboutMoreComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AboutMoreComponent, "ins-about-more", never, { "isMobile": "isMobile"; "community": "community"; "showAboutMore": "showAboutMore"; "communityLeaders": "communityLeaders"; "envUrl": "envUrl"; }, { "back": "back"; }, never, never>;
}
